/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2011, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_functions_passwd
#define headerfile_winix_functions_passwd

#include "functionbase.h"
#include "core/user.h"


namespace Fun
{


class Passwd : public FunctionBase
{
public:

	Passwd();
	bool HasAccess();
	void MakePost();
	bool ChangePassword(const std::wstring & login, const std::wstring & new_password);

private:

	UserPass up;
};


} // namespace

#endif
